Bug 1199486 - Build of owncloud7 for EPEL6
Summary: Build of owncloud7 for EPEL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: owncloud
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 13:32 UTC by Matěj Cepl
Modified: 2018-04-11 16:52 UTC (History)
3 users (show)

Fixed In Version: owncloud-7.0.4-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-25 20:06:47 UTC


Attachments (Terms of Use)
suggested patch (495 bytes, patch)
2015-03-06 13:32 UTC, Matěj Cepl
no flags Details | Diff

Description Matěj Cepl 2015-03-06 13:32:10 UTC
Created attachment 998842 [details]
suggested patch

Description of problem:
This seems like absolutely trivial patch which makes owncloud 7 work with EPEL-6. What's missing?

Version-Release number of selected component (if applicable):
owncloud-7.0.4-2

Comment 1 Matěj Cepl 2015-03-06 14:36:02 UTC
Scratch build with this patch is http://koji.fedoraproject.org/koji/taskinfo?taskID=9156627

Comment 2 Adam Williamson 2015-03-06 17:24:40 UTC
Nothing, I've just not had time for this lately. I don't usually do one little OC thing at a time, I try to co-ordinate big chunks of work. I'll probably do it soon, though. There may be other small things here and there. I wouldn't take this patch, BTW, I'd just include a newer build of the Google lib (with the composer-style provide) in the update.

Comment 3 Matěj Cepl 2015-03-06 17:30:09 UTC
(In reply to Adam Williamson (Red Hat) from comment #2)
> I wouldn't take this patch, BTW, I'd just include a newer build of the
> Google lib (with the composer-style provide) in the update.

Is there a way how to make composer-style requires working on EL-6?

Comment 4 Adam Williamson 2015-03-06 17:40:37 UTC
well, sure. they're just Requires: lines. there's nothing magical about them. it's just a convention we've adopted for PHP packages that are commonly distributed via Composer, there isn't any form of autogeneration or anything. We just hand-add Provides: composer(foo/bar) to the providing package.

Comment 5 Fedora Update System 2015-03-07 03:59:07 UTC
owncloud-7.0.4-3.el6,php-google-apiclient-1.1.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/owncloud-7.0.4-3.el6,php-google-apiclient-1.1.2-2.el6

Comment 6 Fedora Update System 2015-03-08 22:47:57 UTC
Package owncloud-7.0.4-3.el6, php-google-apiclient-1.1.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing owncloud-7.0.4-3.el6 php-google-apiclient-1.1.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1155/owncloud-7.0.4-3.el6,php-google-apiclient-1.1.2-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-03-25 20:06:47 UTC
owncloud-7.0.4-3.el6, php-google-apiclient-1.1.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.